package com.lz.modules.performance.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.lz.common.utils.PageUtils;
import com.lz.modules.app.model.TaskModel;
import com.lz.modules.performance.entity.TaskProcessRecord;
import com.lz.modules.performance.req.ChangeTaskListReq;

import java.util.List;

/**
* <p>
* 任务进度更新表 服务类
* </p>
*
* @author quyixiao
* @since 2020-12-08
*/
public interface TaskProcessRecordService extends IService<TaskProcessRecord> {



	TaskProcessRecord selectTaskProcessRecordById(Long id);


	Long insertTaskProcessRecord(TaskProcessRecord taskProcessRecord);


	int updateTaskProcessRecordById(TaskProcessRecord taskProcessRecord);


	int updateCoverTaskProcessRecordById(TaskProcessRecord taskProcessRecord);


	int deleteTaskProcessRecordById(Long id);

	PageUtils selectTaskProcessRecordsByTaskId(ChangeTaskListReq req);


    int deleteTaskProcessRecordsByTaskId(Long taskId);

    List<TaskProcessRecord> selectByCondition(IPage page, TaskModel taskModel);

    TaskProcessRecord selectCommentTaskProcessRecordByDetailId(Long detailId);

	TaskProcessRecord selectCommentTaskProcessRecordByTaskId(Long taskId);
}